/*
laserspotcam        A software to track a laser pointer on a wall.
Copyright (C) 2005  Raphael Assenat

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Author: Raphael Assenat <raph@raphnet.net>
*/

/**
 * Functions to calculate image difference between a new frame and the average
 * of the last 8 frames.
 *
 * GRAYSCALE.
 */
int AvgDiff_init(int w, int h);
void AvgDiff_shutdown(void);
unsigned char *AvgDiff_getAverageBuffer();
void AvgDiff_process(unsigned char *buf, int w, int h);


