/*
laserspotcam        A software to track a laser pointer on a wall.
Copyright (C) 2005  Raphael Assenat

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Author: Raphael Assenat <raph@raphnet.net>
*/
#ifndef _filters_h__
#define _filters_h__

void filter_redness(char *buffer, int w, int h);
void filter_keep_red(char *buffer, int w, int h);
void filter_keep_green(char *buffer, int w, int h);
void filter_keep_blue(char *buffer, int w, int h);

// grayscale, 8 bit per pixel
void filter_threshold(char *buffer, int w, int h, int value);

#endif // _filters_h__

